MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
ArchivePlugin Struct Reference

`#include <ArchivePlugin.hxx>`

Collaboration diagram for ArchivePlugin:
[legend]

## Data Fields
const char * | name
bool(* | init )()
| optional, set this to nullptr if the archive plugin doesn't have/need one this must false if there is an error and true otherwise More...
void(* | finish )()
| optional, set this to nullptr if the archive plugin doesn't have/need one More...
ArchiveFile *(* | open )(Path path_fs)
| tryes to open archive file and associates handle with archive returns pointer to handle used is all operations with this archive More...
const char *const * | suffixes
| suffixes handled by this plugin. More...

## Detailed Description

Definition at line 26 of file ArchivePlugin.hxx.

## Field Documentation

void(* ArchivePlugin::finish) ()

optional, set this to nullptr if the archive plugin doesn't have/need one

Definition at line 40 of file ArchivePlugin.hxx.

bool(* ArchivePlugin::init) ()

optional, set this to nullptr if the archive plugin doesn't have/need one this must false if there is an error and true otherwise

Definition at line 34 of file ArchivePlugin.hxx.

const char* ArchivePlugin::name

Definition at line 27 of file ArchivePlugin.hxx.

ArchiveFile*(* ArchivePlugin::open) (Path path_fs)

tryes to open archive file and associates handle with archive returns pointer to handle used is all operations with this archive

Throws std::runtime_error on error.

Definition at line 48 of file ArchivePlugin.hxx.

const char* const* ArchivePlugin::suffixes

suffixes handled by this plugin.

last element in these arrays must always be a nullptr

Definition at line 54 of file ArchivePlugin.hxx.

The documentation for this struct was generated from the following file:

- archive/ArchivePlugin.hxx